"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var child_process_1 = require("child_process");
var chalk = require("chalk");
var TEXT_COLOR;
(function (TEXT_COLOR) {
    TEXT_COLOR["success"] = "green";
    TEXT_COLOR["info"] = "blue";
    TEXT_COLOR["note"] = "white";
    TEXT_COLOR["warning"] = "yellow";
    TEXT_COLOR["error"] = "red";
})(TEXT_COLOR = exports.TEXT_COLOR || (exports.TEXT_COLOR = {}));
function color(severity, message, content) {
    if (content === void 0) { content = ''; }
    console.log(chalk[severity](message) +
        (content.length ? "\n" + content : '') +
        '\n');
}
exports.color = color;
function run(command, packages, options) {
    child_process_1.spawnSync('npm', [command].concat(packages, [options]), { stdio: 'inherit', cwd: process.cwd() });
}
exports.run = run;
